View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000950aMulePreferencespublic2006-08-17 16:132007-11-18 06:07
Reporterjuanmard 
Assigned ToKry 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.3 
Target VersionFixed in VersionSVN 
Summary0000950: aMule crash if you select user skin file without a file.
DescriptionIn the preference dialog you can select skin without to chose a file. Click "OK" button and in the next load of amule crash.
When load begin again it tell you that load a default file from skin but crash...

-------------------------
[juanma@persa aMule-2.1.3]$ cd ./src/amule
Initialising aMule
Checking if there is an instance already running...
No other instances are running.
HTTP download thread started
Testing skins

(Here show a message in a window for a default Skin...)

Host: amule.sourceforge.net:80
URL: http://amule.sourceforge.net/lastversion [^]
Response: 200 (Error: 0)
Download size: 6
HTTP download thread ended

Crash and show it the backtrace...

You can set "UseSkinFile=0" in the "amule.conf" file and load all OK again.
Additional Information----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule 2.1.3 using wxGTK1 v2.6.2
Running on: Linux 2.6.3-7mdk i586

[2] CamuleApp::OnFatalException() in amule.cpp:1184
[3] wxFatalSignalHandler in /usr/lib/libwx_base-2.6.so.0[0x40696696]
[4] ?? in /lib/libpthread.so.0 [0x40038912]
[5] ?? in /lib/libc.so.6 [0x407e93a8]
[6] CamuleGuiBase::InitGui(bool, wxString&) in amule-gui.cpp:253
[7] CamuleGuiApp::InitGui(bool, wxString&) in amule-gui.cpp:284
[8] CamuleApp::OnInit() in amule.cpp:708
[9] CamuleGuiApp::OnInit() in amule-gui.cpp:316
[10] wxAppConsole::CallOnInit() in app.h:87
[11] wxEntry(int&, char**) in /usr/lib/libwx_base-2.6.so.0[0x4062e1de]
[12] main in amule-gui.cpp:143
[13] __libc_start_main in /lib/libc.so.6[0x407d6d93]
[14] wxAppBase::Dispatch() in start.S:105


--------------------------------------------------------------------------------
TagsNo tags attached.
Fixed in Revision
Operating SystemGNU/Linux Mandrake 10.0 and GNU/Linux Mandriva 2006
Attached Files

- Relationships

-  Notes
(0002083)
Kry (manager)
2006-08-18 09:14
edited on: 2006-08-18 09:14

You're right and it also happens in SVN. Investigating.

edited on: 08-18-06 09:14

- Issue History
Date Modified Username Field Change
2006-08-17 16:13 juanmard New Issue
2006-08-17 16:13 juanmard Operating System => GNU/Linux Mandrake 10.0 and GNU/Linux Mandriva 2006
2006-08-18 09:14 Kry Note Added: 0002083
2006-08-18 09:14 Kry Note Edited: 0002083
2006-08-18 09:14 Kry Status new => assigned
2006-08-18 09:14 Kry Assigned To => Kry
2007-08-19 14:04 Kry Status assigned => resolved
2007-08-19 14:04 Kry Fixed in Version => SVN
2007-08-19 14:04 Kry Resolution open => fixed
2007-11-18 06:07 phoenix Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker